.TH annotate_all 1 "Mar 14 1997" "Stanford University" "SUIF Compiler"
.SH NAME
annotate_all \- add annotations everywhere with unique numbers
.SH SYNOPSIS
.B annotate_all
[
.I options
]
.I infile
.I outfile
{
.I infile
.I outfile
}*
.SH DESCRIPTION
The
.I annotate_all
program puts an "all number" annotation on every SUIF object, except
for tree_instr objects, which aren't allowed to have annotations
written to files.  The data for each "all number" annotation is a
single integer, a unique number for that object.  The numbers start
with 1 and go through the number of objects in the file set.
.sp
This is useful when a unique number is desired for each object.  It is
also convenient for generating test files to see what happens to
annotations when the file goes through various transformations.
.SH OPTIONS
There are currently no command-line options.
.SH HISTORY
This program was written by Chris Wilson.
